<?php
/**
* PHPソースパーサ例外
*
* PHP version 5
*
* @version    0.1
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
* @license    http://www.opensource.org/licenses/mit-license.php MIT License
*/

class PhpSourceParserException extends CharcoalException 
{
	/**
	 *	コンストラクタ
	 */
	public function __construct( $err_code, $message )
	{
		$msg = "[code]$err_code [message]$message";
		parent::__construct( $msg );

		ExceptionStack::push( $this );
	}

}

return __FILE__;